/**Begin D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\SIM_table.sql **/
 EXEC p_AlterColumn 'T_SIM_RECYCLE_LOG', 'FTERMINAL', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_RECYCLE_LOG', 'FTERMINALNAME', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_RECYCLE_LOG', 'FHANDLERS', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_RECYCLE_LOG', 'FINVOICETYPE', 'VARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_ROLLBACK_LOG', 'FINVOICECODE', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_ROLLBACK_LOG', 'FHANDLERS', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_ROLLBACK_LOG', 'FINVOICETYPE', 'VARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_APPLY_RESULT', 'FINVOICECODE', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FAPPLYTYPE', 'VARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FDISPOSE', 'VARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FDISPOSEMSG', 'VARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FTEXTFIELD1', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FNO', 'VARCHAR(40)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FTYPE', 'VARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FMSG', 'VARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FINVOICETYPE', 'VARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FINVOICEKINDCODE', 'VARCHAR(20)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FINVOICEKINDNAME', 'VARCHAR(20)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_INV_APPLY_LOG', 'FTERMINAL', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_DELIVERY_MSG', 'FDELNAME', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_DELIVERY_MSG', 'FDELPHONE', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_DELIVERY_MSG', 'FDELADDRESS', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_DELIVERY_MSG', 'FDELNUMBER', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_DELIVERY_MSG', 'FDELPOSTCODE', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_DELIVERY_MSG', 'FDELREMORK', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_BUEYER_BILL', 'FBUYERNAME', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_BUEYER_BILL', 'FBUYERTAXNO', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_BUEYER_BILL', 'FINVOICETYPE', 'VARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FBUYERTYPE', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FINVENTORYMARK', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

--  EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FRESULT', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FDATAHASH', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FINVALIDER', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

--  EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FPUSHTYPE', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

--  EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FPUSHSTATUS', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FOFDSTATUS', 'VARCHAR(8)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FUPLOADMARK', 'VARCHAR(8)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_VATINVOICE_E', 'FCONTRASTSTATUS', 'VARCHAR(8)', 'NOT NULL', '1111', ''' ''';


/**End D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\SIM_table.sql **/
